# Install Raspberry PI OS

**These instructions are specific to the Raspberry Pi 2 and 3**

To get started I suggest a clean install of Raspbian. You can snag a fresh copy of Jessie w/ Pixel [Raspbian Download Page](https://www.raspberrypi.org/downloads/raspbian/).

For instructions on how to install Raspbian see \[How To Install Raspbian(full)]\(/docs/howto/how\_to\_install\_raspbianfull.md).

You'll also need to install Node (v6.x) which now comes bundled with npm.

```
curl -sL https://deb.nodesource.com/setup_8.x | sudo -E bash -
sudo apt-get install -y nodejs
```

**Getting the code**

Next up you'll want to clone this repository into your user's home folder on your Pi:

```
cd ~
git clone https://github.com/evancohen/smart-mirror.git
```

Next Step: [Install Dependencies](/installation/install_dependencies.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.smart-mirror.io/installation/installing_raspbian.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
